baggAgregate <- function(x, levels = NULL){
  require(plyr)
  aggregatedPredictions = NULL
  
  for (i in 1:nrow(x)){
    tbl = table(as.numeric(x[i,]), useNA = "no")
    nameMax = as.numeric(names(which.max(tbl)))
    
    if (is.null(levels)) aggregatedPredictions[i] = nameMax
    if (!is.null(levels)) aggregatedPredictions[i] = levels[nameMax]
  }
  
  return(aggregatedPredictions)
}